<div class="app-wrapper">
<header class="container">
  <div class="menu-left">
    <a [routerLink]="['']">
      <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M11 5L4 12L11 19" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
        <path d="M4 12H20" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
      </svg>
    </a>
  </div>
  <div class="menu-middle">
    Ledius
  </div>
  <div class="menu-right">
    <button (click)="isMenuOpen = !isMenuOpen">
      <svg *ngIf="!isMenuOpen" width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M12 8C13.1 8 14 7.1 14 6C14 4.9 13.1 4 12 4C10.9 4 10 4.9 10 6C10 7.1 10.9 8 12 8ZM12 10C10.9 10 10 10.9 10 12C10 13.1 10.9 14 12 14C13.1 14 14 13.1 14 12C14 10.9 13.1 10 12 10ZM12 16C10.9 16 10 16.9 10 18C10 19.1 10.9 20 12 20C13.1 20 14 19.1 14 18C14 16.9 13.1 16 12 16Z" fill="white"/>
      </svg>
      <svg *ngIf="isMenuOpen" width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M20 4L4 20M20 20L4 4L20 20Z" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
      </svg>
    </button>
  </div>
</header>
<menu [ngClass]="isMenuOpen ? 'isOpen' : ''">
  <ul>
    <li>
      <button [routerLink]="['/']">
        <svg width="25" height="26" viewBox="0 0 25 26" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M8.04175 8.35213C8.04175 7.93792 7.70596 7.60213 7.29175 7.60213C6.87753 7.60213 6.54175 7.93792 6.54175 8.35213H8.04175ZM7.29175 10.9563H6.54175C6.54175 11.3705 6.87753 11.7063 7.29175 11.7063V10.9563ZM10.4167 11.7063C10.831 11.7063 11.1667 11.3705 11.1667 10.9563C11.1667 10.5421 10.831 10.2063 10.4167 10.2063V11.7063ZM16.9584 17.7271C16.9584 18.1413 17.2942 18.4771 17.7084 18.4771C18.1226 18.4771 18.4584 18.1413 18.4584 17.7271H16.9584ZM17.7084 15.123H18.4584C18.4584 14.7088 18.1226 14.373 17.7084 14.373V15.123ZM14.5834 14.373C14.1692 14.373 13.8334 14.7088 13.8334 15.123C13.8334 15.5372 14.1692 15.873 14.5834 15.873V14.373ZM16.0302 11.3529C16.2492 11.7045 16.7118 11.8119 17.0633 11.5929C17.4149 11.3738 17.5223 10.9113 17.3033 10.5597L16.0302 11.3529ZM14.5645 9.31276L14.2876 10.0098L14.5645 9.31276ZM11.51 8.90733L11.5854 9.65353L11.51 8.90733ZM8.72969 9.9028L9.13623 10.5331C9.14664 10.5263 9.15687 10.5194 9.16693 10.5122L8.72969 9.9028ZM6.88521 10.2001C6.53712 10.4246 6.43696 10.8888 6.66149 11.2369C6.88602 11.585 7.35021 11.6851 7.69829 11.4606L6.88521 10.2001ZM8.96998 14.7264C8.75095 14.3748 8.28839 14.2674 7.93682 14.4864C7.58526 14.7054 7.47782 15.168 7.69685 15.5196L8.96998 14.7264ZM10.4357 16.7665L10.7126 16.0695L10.4357 16.7665ZM16.2705 16.1765L15.8639 15.5462C15.8535 15.5529 15.8433 15.5599 15.8332 15.5671L16.2705 16.1765ZM18.115 15.8792C18.463 15.6547 18.5632 15.1905 18.3387 14.8424C18.1141 14.4943 17.65 14.3941 17.3019 14.6187L18.115 15.8792ZM6.54175 8.35213V10.9563H8.04175V8.35213H6.54175ZM7.29175 11.7063H10.4167V10.2063H7.29175V11.7063ZM18.4584 17.7271V15.123H16.9584V17.7271H18.4584ZM17.7084 14.373H14.5834V15.873H17.7084V14.373ZM17.3033 10.5597C16.7671 9.69908 15.8872 9.03128 14.8414 8.61576L14.2876 10.0098C15.102 10.3334 15.6977 10.8192 16.0302 11.3529L17.3033 10.5597ZM14.8414 8.61576C13.7931 8.19924 12.5996 8.04332 11.4345 8.16114L11.5854 9.65353C12.5251 9.5585 13.4756 9.68715 14.2876 10.0098L14.8414 8.61576ZM11.4345 8.16114C10.2705 8.27884 9.16557 8.66694 8.29245 9.29344L9.16693 10.5122C9.79805 10.0593 10.6446 9.74867 11.5854 9.65353L11.4345 8.16114ZM8.32315 9.27255L6.88521 10.2001L7.69829 11.4606L9.13623 10.5331L8.32315 9.27255ZM7.69685 15.5196C8.23304 16.3802 9.11296 17.048 10.1587 17.4635L10.7126 16.0695C9.89817 15.7459 9.30248 15.2601 8.96998 14.7264L7.69685 15.5196ZM10.1587 17.4635C11.207 17.88 12.4005 18.0359 13.5656 17.9181L13.4147 16.4257C12.475 16.5208 11.5245 16.3921 10.7126 16.0695L10.1587 17.4635ZM13.5656 17.9181C14.7296 17.8004 15.8346 17.4123 16.7077 16.7858L15.8332 15.5671C15.2021 16.02 14.3555 16.3306 13.4147 16.4257L13.5656 17.9181ZM16.677 16.8067L18.115 15.8792L17.3019 14.6187L15.8639 15.5462L16.677 16.8067ZM8.33341 5.4563H16.6667V3.9563H8.33341V5.4563ZM20.0834 8.87296V17.2063H21.5834V8.87296H20.0834ZM16.6667 20.623H8.33341V22.123H16.6667V20.623ZM4.91675 17.2063V8.87296H3.41675V17.2063H4.91675ZM8.33341 20.623C6.44644 20.623 4.91675 19.0933 4.91675 17.2063H3.41675C3.41675 19.9217 5.61801 22.123 8.33341 22.123V20.623ZM20.0834 17.2063C20.0834 19.0933 18.5537 20.623 16.6667 20.623V22.123C19.3821 22.123 21.5834 19.9217 21.5834 17.2063H20.0834ZM16.6667 5.4563C18.5537 5.4563 20.0834 6.98599 20.0834 8.87296H21.5834C21.5834 6.15757 19.3821 3.9563 16.6667 3.9563V5.4563ZM8.33341 3.9563C5.61801 3.9563 3.41675 6.15757 3.41675 8.87296H4.91675C4.91675 6.98599 6.44644 5.4563 8.33341 5.4563V3.9563Z" fill="white"/>
        </svg>
        Обмен
      </button>
    </li>
    <li>
      <button [routerLink]="['/deposit']">
        <svg width="25" height="26" viewBox="0 0 25 26" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M3.125 13.0397C3.125 18.2173 7.32233 22.4147 12.5 22.4147C17.6777 22.4147 21.875 18.2173 21.875 13.0397C21.875 7.862 17.6777 3.66467 12.5 3.66467M3.125 13.0397C3.125 7.862 7.32233 3.66467 12.5 3.66467M3.125 13.0397H12.5M12.5 3.66467V13.0397M12.5 13.0397L19.1203 19.66" stroke="white" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
        </svg>
        Депозит
      </button>
    </li>
    <li>
      <button [routerLink]="['/replenishment']">
        <svg width="25" height="26" viewBox="0 0 25 26" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M6.25 15.4147C5.83579 15.4147 5.5 15.7505 5.5 16.1647C5.5 16.5789 5.83579 16.9147 6.25 16.9147V15.4147ZM9.89583 16.9147C10.31 16.9147 10.6458 16.5789 10.6458 16.1647C10.6458 15.7505 10.31 15.4147 9.89583 15.4147V16.9147ZM5.20833 7.53967H19.7917V6.03967H5.20833V7.53967ZM21.125 8.87301V17.2063H22.625V8.87301H21.125ZM19.7917 18.5397H5.20833V20.0397H19.7917V18.5397ZM3.875 17.2063V8.87301H2.375V17.2063H3.875ZM5.20833 18.5397C4.47195 18.5397 3.875 17.9427 3.875 17.2063H2.375C2.375 18.7711 3.64353 20.0397 5.20833 20.0397V18.5397ZM21.125 17.2063C21.125 17.9427 20.528 18.5397 19.7917 18.5397V20.0397C21.3565 20.0397 22.625 18.7711 22.625 17.2063H21.125ZM19.7917 7.53967C20.528 7.53967 21.125 8.13663 21.125 8.87301H22.625C22.625 7.3082 21.3565 6.03967 19.7917 6.03967V7.53967ZM5.20833 6.03967C3.64353 6.03967 2.375 7.3082 2.375 8.87301H3.875C3.875 8.13663 4.47195 7.53967 5.20833 7.53967V6.03967ZM3.125 11.7063H21.875V10.2063H3.125V11.7063ZM6.25 16.9147H9.89583V15.4147H6.25V16.9147Z" fill="white"/>
        </svg>
        Реквизиты
      </button>
    </li>
    <li>
      <button [routerLink]="['/history']">
        <svg width="25" height="26" viewBox="0 0 25 26" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M6.25 6.78963C6.25 5.63904 7.18274 4.7063 8.33333 4.7063H16.6667C17.8173 4.7063 18.75 5.63904 18.75 6.78963V22.4146L12.5 16.1646L6.25 22.4146V6.78963Z" stroke="white" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
        </svg>
        История
      </button>
    </li>
  </ul>
  <div class="line"></div>
  <ul>
<!--    <li>-->
<!--      <button [routerLink]="['/']">-->
<!--        <svg width="25" height="26" viewBox="0 0 25 26" fill="none" xmlns="http://www.w3.org/2000/svg">-->
<!--          <path d="M20.8334 22.4147V20.3313C20.8334 18.0302 18.9679 16.1647 16.6667 16.1647H8.33341C6.03223 16.1647 4.16675 18.0302 4.16675 20.3313V22.4147M16.6667 7.83134C16.6667 10.1325 14.8013 11.998 12.5001 11.998C10.1989 11.998 8.33341 10.1325 8.33341 7.83134C8.33341 5.53015 10.1989 3.66467 12.5001 3.66467C14.8013 3.66467 16.6667 5.53015 16.6667 7.83134Z" stroke="white" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>-->
<!--        </svg>-->
<!--        Профиль           -->
<!--      </button>  -->
<!--    </li>-->
    <li *ngIf="isAuth">
      <button class="exit" (click)="logOut()">
        <svg width="25" height="26" viewBox="0 0 25 26" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M14.5833 4.7063L18.75 4.7063C19.9006 4.7063 20.8333 5.63904 20.8333 6.78963V19.2896C20.8333 20.4402 19.9006 21.373 18.75 21.373H14.5833M3.125 13.0396L15.625 13.0396M3.125 13.0396L7.29167 8.87297M3.125 13.0396L7.29167 17.2063" stroke="#D73D3D" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
        </svg>
        Выйти
      </button>
    </li>
    <li *ngIf="!isAuth">
      <button (click)="logIn()">
         Вход
      </button>
    </li>
  </ul>
</menu>

<router-outlet></router-outlet>

  <app-navbar [navbarItems]="navbarItems" ></app-navbar>
</div>
